Skip to documentation
Open dashboard
On this page

HTTP endpoints

Browse the HTTP endpoints for operations, assets, account usage and OAuth.

The OpenAPI and tool schemas define every input and required permission. Account availability and model options are returned by live discovery.

HTTP endpoints#

GET /v1/modelsRead the selected owned resource or current workflow state without starting a new generation.GET /v1/models/{id}Read the selected owned resource or current workflow state without starting a new generation.GET /v1/toolsRead the selected owned resource or current workflow state without starting a new generation.GET /v1/tools/{name}Read the selected owned resource or current workflow state without starting a new generation.GET /v1/operationsRead the selected owned resource or current workflow state without starting a new generation.GET /v1/operations/{id}Read the selected owned resource or current workflow state without starting a new generation.GET /v1/operations/by-intent/{intent}Read the selected owned resource or current workflow state without starting a new generation.GET /v1/operations/{id}/eventsRead the selected owned resource or current workflow state without starting a new generation.POST /v1/quotesUse the documented request fields and permissions for this HTTP endpoint.GET /v1/quotes/{id}Read the selected owned resource or current workflow state without starting a new generation.POST /v1/images/generationsUse the documented request fields and permissions for this HTTP endpoint.POST /v1/videos/generationsUse the documented request fields and permissions for this HTTP endpoint.POST /v1/audio/generationsUse the documented request fields and permissions for this HTTP endpoint.POST /v1/text/responsesUse the documented request fields and permissions for this HTTP endpoint.POST /v1/assetsUse the documented request fields and permissions for this HTTP endpoint.GET /v1/assets/{id}Read the selected owned resource or current workflow state without starting a new generation.GET /v1/assets/{id}/downloadRead the selected owned resource or current workflow state without starting a new generation.GET /v1/resourcesRead the selected owned resource or current workflow state without starting a new generation.POST /v1/conversationsUse the documented request fields and permissions for this HTTP endpoint.GET /v1/conversations/{id}Read the selected owned resource or current workflow state without starting a new generation.POST /v1/conversations/{id}/messagesUse the documented request fields and permissions for this HTTP endpoint.POST /v1/assistant/runsUse the documented request fields and permissions for this HTTP endpoint.POST /v1/filmmaker/runsUse the documented request fields and permissions for this HTTP endpoint.GET /v1/runs/{id}Read the selected owned resource or current workflow state without starting a new generation.GET /v1/runs/{id}/eventsRead the selected owned resource or current workflow state without starting a new generation.POST /v1/runs/{id}/pauseUse the documented request fields and permissions for this HTTP endpoint.POST /v1/runs/{id}/resumeUse the documented request fields and permissions for this HTTP endpoint.GET /v1/balanceRead the selected owned resource or current workflow state without starting a new generation.GET /v1/accountRead the selected owned resource or current workflow state without starting a new generation.GET /v1/usageRead the selected owned resource or current workflow state without starting a new generation.GET /v1/requestsRead the selected owned resource or current workflow state without starting a new generation.GET /v1/requests/{id}Read the selected owned resource or current workflow state without starting a new generation.GET /v1/requests/exportRead the selected owned resource or current workflow state without starting a new generation.POST /v1/requests/exportsUse the documented request fields and permissions for this HTTP endpoint.GET /v1/requests/exports/{id}Read the selected owned resource or current workflow state without starting a new generation.GET /v1/requests/exports/{id}/downloadRead the selected owned resource or current workflow state without starting a new generation.GET /v1/webhook-endpointsRead the selected owned resource or current workflow state without starting a new generation.POST /v1/webhook-endpointsUse the documented request fields and permissions for this HTTP endpoint.PATCH /v1/webhook-endpoints/{id}Use the documented request fields and permissions for this HTTP endpoint.POST /v1/webhook-endpoints/{id}/rotate-secretUse the documented request fields and permissions for this HTTP endpoint.GET /v1/webhook-endpoints/{id}/deliveriesRead the selected owned resource or current workflow state without starting a new generation.POST /v1/webhook-endpoints/{id}/deliveries/{delivery_id}/retryUse the documented request fields and permissions for this HTTP endpoint.GET /.well-known/oauth-protected-resourceOAuth uses S256 PKCE, an exact redirect URI and a separate resource for REST or MCP. Consent is completed in Tong. Refresh tokens rotate on every use.GET /.well-known/oauth-protected-resource/mcpOAuth uses S256 PKCE, an exact redirect URI and a separate resource for REST or MCP. Consent is completed in Tong. Refresh tokens rotate on every use.GET /.well-known/oauth-authorization-serverOAuth uses S256 PKCE, an exact redirect URI and a separate resource for REST or MCP. Consent is completed in Tong. Refresh tokens rotate on every use.GET /oauth/authorizeOAuth uses S256 PKCE, an exact redirect URI and a separate resource for REST or MCP. Consent is completed in Tong. Refresh tokens rotate on every use.POST /oauth/tokenOAuth uses S256 PKCE, an exact redirect URI and a separate resource for REST or MCP. Consent is completed in Tong. Refresh tokens rotate on every use.POST /oauth/revokeOAuth uses S256 PKCE, an exact redirect URI and a separate resource for REST or MCP. Consent is completed in Tong. Refresh tokens rotate on every use.POST /oauth/registerOAuth uses S256 PKCE, an exact redirect URI and a separate resource for REST or MCP. Consent is completed in Tong. Refresh tokens rotate on every use.POST /mcpUse the documented request fields and permissions for this HTTP endpoint.GET /v1/catalogRead the selected owned resource or current workflow state without starting a new generation.GET /v1/jobs/{id}Read the selected owned resource or current workflow state without starting a new generation.GET /v1/resources/{id}Read the selected owned resource or current workflow state without starting a new generation.GET /v1/runs/{id}/reviews/{review_id}Read the selected owned resource or current workflow state without starting a new generation.POST /v1/runs/{id}/reviews/{review_id}/decisionUse the documented request fields and permissions for this HTTP endpoint.